import axios from "@/utils/request";
import request from "@/utils/request";

export function list(query) {
  return axios({
    url:  '/purchase/purApplyArgument/list',
    method: 'get',
    params: query
  })
}

export function updateArg(data) {
  return request({
    url:  "/purchase/purApplyArgument/updateArg",
    method: 'post',
    data: data
  })
}
export function printArg(data) {
  return axios({
    url: "/purchase/purApplyArgument/printArg",
    method: "post",
    headers: {'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'},
    responseType: 'arraybuffer',   //一定要设置响应类型，否则页面会是空白pdf
    data: data
  });
}


export function argAllPass(id) {
  return axios({
    url:  '/purchase/purApplyArgument/argAllPass/' + id,
    method: 'get'
  })
}
